/*

    To customize this header file for your service

    (1) define the internal name of your service (e.g. used with
        the 'net start/stop' command) in SERVICE_NAME and the name
        displayed in in Control Panel in CP_SERVICE_NAME.

    (2) define which command line options starts the service in
        debug mode, e.g. 'debug' or 'now', in DEBUGCMDLINEOPT.
        If you do not want such an option, comment the corresponding
        line out.

    (3) Implement the StartServiceThread(), StopServiceThread()
        and possibly RunServiceInDebugMode() (see (2)).
*/


// The name of the service (internal and for control panel)
//#define SERVICE_NAME "StandardService"
//#define CP_SERVICE_NAME "Standard Service"
#define SERVICE_NAME "Ext2Users"
#define CP_SERVICE_NAME "Ext2Users Service"

// the command line option to start the service in debug mode (without
// leading - or /) and the corresponding Usage() text
#define DEBUGCMDLINEOPT "now"
#define DEBUGUSAGETEXT  "run service interactively once"


VOID InitServiceThread(VOID);

DWORD ServiceExecutionThread(LPDWORD param);
/*  implementation example:
    a primitive service that beeps every 5 seconds

    DWORD ServiceExecutionThread(LPDWORD param)
    {
        while (serviceRunning) {
            Beep(200,200);
            Sleep(5000);
        }
        return 0;
    }

*/


VOID StopServiceThread(VOID);
/* This should gracefully stop the thread, e.g. by setting an event.
   If this is not necessary, implement it as

    VOID StopServiceThread(VOID)
    {
    }

*/

#ifdef DEBUGCMDLINEOPT

VOID RunServiceInDebugMode(int argc, char *argv[]);
/* Useful to do some testing with the service with optional
   command line parameters
*/

#endif

extern BOOL serviceRunning;
extern BOOL DebugMode;

void KillService(void);
/* Allow self-terminating of service
*/
